<h2 class="step-head">Owner Information</h2>

<section class="owner">
    <div class="owner-info">
        <form [formGroup]="ownerForm" class="owner-info__form">
            <div class="owner-info__form--container">
                <div class="form-control" [class.invalid]="isValidFirstName">
                    <input
                        formControlName="firstName"
                        type="text"
                        required
                        name="text"
                        (focusout)="validateField()"
                    />
                    <label
                        [class.active]="formChanges && formChanges.firstName || ''"
                        class="form-control-label"
                        for="field-text"
                        >First Name *</label
                    >
                </div>
                <div class="form-control" [class.invalid]="isValidSecondName">
                    <input
                        formControlName="secondName"
                        type="text"
                        required
                        name="text"
                        (focusout)="validateField()"
                    />
                    <label
                        [class.active]="formChanges && formChanges.secondName || ''"
                        class="form-control-label"
                        for="field-text"
                        >Second Name *</label
                    >
                </div>
                <div class="form-control" [class.invalid]="isValidEmail">
                    <input
                        formControlName="email"
                        type="email"
                        required
                        name="text"
                        (focusout)="validateField()"
                    />
                    <label
                        [class.active]="formChanges && formChanges.email || ''"
                        class="form-control-label"
                        for="field-text"
                        >E-Mail *</label
                    >
                </div>
                <div class="form-control" [class.invalid]="isValidCompany">
                    <input
                        formControlName="company"
                        type="text"
                        required
                        name="text"
                        (focusout)="validateField()"
                    />
                    <label
                        [class.active]="formChanges && formChanges.company || ''"
                        class="form-control-label"
                        for="field-text"
                        >Company *</label
                    >
                </div>
                <div class="form-control">
                    <input formControlName="phone" type="text" name="text" />
                    <label
                        [class.active]="formChanges && formChanges.phone || ''"
                        class="form-control-label"
                        for="field-text"
                        >Phone Number</label
                    >
                </div>
            </div>
        </form>
    </div>

    <div class="owner-passport">
        <div class="owner-passport__avatar">
            <span class="owner-passport__avatar--initials">OK</span>
        </div>

        <div class="owner-passport__container">
            <div class="owner-passport__container--labels">
                <h4 class="owner-passport__container--labels--label">
                    Full Name:
                </h4>
                <h4 class="owner-passport__container--labels--label">
                    E-Mail:
                </h4>
                <h4 class="owner-passport__container--labels--label">
                    Company:
                </h4>
                <h4 class="owner-passport__container--labels--label">
                    Phone Number:
                </h4>
                <h4 class="owner-passport__container--labels--label">
                    Access Rights:
                </h4>
                <h4 class="owner-passport__container--labels--label">
                    Usage Plan:
                </h4>
            </div>

            <div class="owner-passport__container--content">
                <p class="owner-passport__container--content--info">
                    {{ ownerFullName }}
                </p>
                <p class="owner-passport__container--content--info">
                    {{ owner.email }}
                </p>
                <p class="owner-passport__container--content--info">
                    {{ owner.company }}
                </p>
                <p class="owner-passport__container--content--info">
                    {{ owner.phone }}
                </p>
                <p class="owner-passport__container--content--info">Owner</p>
                <p class="owner-passport__container--content--info">
                    Pro: Up to 100 Users
                </p>
            </div>
        </div>

        <button
            (click)="dropForm()"
            class="btn btn-primary primary-button owner-passport__drop"
        >
            Drop Passport
        </button>
    </div>
</section>
